Geo Backup Policies - List By Database
Returns a list of geo backup policies.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/geoBackupPolicies?api-version=2014-04-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
database
|
path | True |
string |
The name of the database. |
|
resource
|
path | True |
string |
The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal. |
|
server
|
path | True |
string |
The name of the server. |
|
subscription
|
path | True |
string |
The subscription ID that identifies an Azure subscription. |
|
api-version
|
query | True |
string |
The API version to use for the request. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
Examples
List geo backup policies
Sample request
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-5961/databases/testdw/geoBackupPolicies?api-version=2014-04-01
Sample response
{
"value": [
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-5961/databases/testdw/geoBackupPolicies/Default",
"name": "Default",
"type": "Microsoft.Sql/servers/databases/geoBackupPolicies",
"location": "Central US",
"kind": null,
"properties": {
"state": "Enabled",
"storageType": "Premium"
}
}
]
}
Definitions
| Name | Description |
|---|---|
|
Geo |
A database geo backup policy. |
|
Geo |
The response to a list geo backup policies request. |
|
Geo |
The state of the geo backup policy. |
GeoBackupPolicy
A database geo backup policy.
| Name | Type | Description |
|---|---|---|
| id |
string |
Resource ID. |
| kind |
string |
Kind of geo backup policy. This is metadata used for the Azure portal experience. |
| location |
string |
Backup policy location. |
| name |
string |
Resource name. |
| properties.state |
The state of the geo backup policy. |
|
| properties.storageType |
string |
The storage type of the geo backup policy. |
| type |
string |
Resource type. |
GeoBackupPolicyListResult
The response to a list geo backup policies request.
| Name | Type | Description |
|---|---|---|
| value |
The list of geo backup policies. |
GeoBackupPolicyState
The state of the geo backup policy.
| Value | Description |
|---|---|
| Disabled | |
| Enabled |